import 'package:wyatt_clean_code/core/errors/exceptions.dart';
import 'package:wyatt_clean_code/domain/repositories/base_repository.dart';
import 'package:wyatt_type_utils/wyatt_type_utils.dart';

abstract class CounterRepository extends BaseRepository {
  Future<Result<int, AppException>> increment(int newState);
  Future<Result<int, AppException>> decrement(int newState);
}
